{
  "label": "Toulouse 2022",
  "variables": {
    "theme_color": "#FFA58A",
    "email_header_asset": "emails:logo"
  },
  "settings": {
    "combo": {
      "COMBO_ASSET_SLOTS.update": {
        "header:logo": { "label": "Têtière : logo" },
        "emails:logo": {"label": "Emails : logo"},
        "picto:dechets-fagots": { "label": "Déchets : Fagots" },
        "picto:dechets-sacs": { "label": "Déchets : Sacs" },
        "picto:encombrants-activites-de-loisir-gros": { "label": "Encombrants : Activités de loisir - gros" },
        "picto:encombrants-activites-de-loisir-moyen": { "label": "Encombrants : Activités de loisir - moyen" },
        "picto:encombrants-activites-de-loisir-petit": { "label": "Encombrants : Activités de loisir - petit" },
        "picto:encombrants-armoire-commode": { "label": "Encombrants : Armoire / Commode" },
        "picto:encombrants-aspirateur": { "label": "Encombrants : Aspirateur" },
        "picto:encombrants-autre-objet-volumineux": { "label": "Encombrants : Autre objet volumineux" },
        "picto:encombrants-canape": { "label": "Encombrants : Canapé" },
        "picto:encombrants-chaise": { "label": "Encombrants : Chaise" },
        "picto:encombrants-cuisiniere": { "label": "Encombrants : Cuisinière" },
        "picto:encombrants-decoration-interieure": { "label": "Encombrants : Décoration intérieure" },
        "picto:encombrants-equipements-bricolage": { "label": "Encombrants : Équipemeents de bricolage" },
        "picto:encombrants-etagere-table": { "label": "Encombrants : Étagère / Table" },
        "picto:encombrants-fauteuil": { "label": "Encombrants : Fauteuil" },
        "picto:encombrants-lave-vaisselle-four": { "label": "Encombrants : Lave-vaisselle / Four" },
        "picto:encombrants-machine-a-laver": { "label": "Encombrants : Machine à laver" },
        "picto:encombrants-matelas-sommier": { "label": "Encombrants : Matelas / Sommier" },
        "picto:encombrants-mobilier-metallique": { "label": "Encombrants : Mobilier métallique" },
        "picto:encombrants-ordinateur-tele": { "label": "Encombrants : Ordinateur / Télévision" },
        "picto:encombrants-palette": { "label": "Encombrants : Palette" },
        "picto:encombrants-petit-electromenager": { "label": "Encombrants : Petit électroménager" },
        "picto:encombrants-refrigerateur": { "label": "Encombrants : Réfrigérateur" },
        "picto:encombrants-refrigerateur-americain": { "label": "Encombrants : Réfrigérateur américain" }
      },
      "WCS_CATEGORY_ASSET_SLOTS": {
        "picto": {
          "prefix": "Pictogramme"
        },
        "picto-hover": {
          "prefix": "Pictogramme",
          "suffix": "Survol"
        }
      },
      "COMBO_SEARCH_SERVICES.update": {
        "famille": {
          "url": "{{passerelle_url}}toulouse-maelis/{{ maelis_connector_slug|default:'test' }}/search-family/?q=%(q)s",
          "label": "Rechercher un dossier famille par nom/prénom",
          "signature": true,
          "hit_url_template": "foyer/{{ number }}/",
          "hit_label_template": "{{ RL1.lastname }} ({{ number }})",
          "hit_description_template": "{{ RL1.firstname }} {{ RL1.lastname }} {{ RL1.birth.dateBirth|date:'d/m/Y' }}{% if RL2 %}<br/>{{ RL2.firstname }} {{ RL2.lastname }} {{ RL2.birth.dateBirth|date:'d/m/Y' }}{% endif %}"
        },
        "dui": {
          "url": "{{passerelle_url}}toulouse-maelis/{{ maelis_connector_slug|default:'test' }}/search-family-dui/?q=%(q)s",
          "label": "Rechercher un dossier famille par son numéro de DUI",
          "signature": true,
          "hit_url_template": "foyer/{{ number }}/",
          "hit_label_template": "{{ RL1.lastname }} ({{ number }})",
          "hit_description_template": "{{ RL1.firstname }} {{ RL1.lastname }} {{ RL1.birth.dateBirth|date:'d/m/Y' }}{% if RL2 %}<br/>{{ RL2.firstname }} {{ RL2.lastname }} {{ RL2.birth.dateBirth|date:'d/m/Y' }}{% endif %}"
        }
      },
      "JSON_CELL_TYPES.update": {
        "toulouse_activites": {
          "cache_duration": 0,
          "force_async": true,
          "name": "DUI (Teamnet Axel) : Activités auxquelles l'enfant est inscrit·e",
          "url": "{{passerelle_url}}toulouse-axel/{{slug}}/clae_children_activities_info?NameID={{user_nameid}}&booking_date={% now \"Y-m-d\" %}",
          "form": [
            {"label": "Identifiant du connecteur", "varname": "slug", "required": true}
          ]
        },
        "toulouse_enfant": {
          "cache_duration": 0,
          "force_async": true,
          "name": "DUI (Teamnet Axel) : Informations générales sur l'enfant",
          "url": "{{passerelle_url}}toulouse-axel/{{slug}}/child_info?NameID={{user_nameid}}&idpersonne={{idpersonne}}",
          "form": [
            {"label": "Identifiant du connecteur", "varname": "slug", "required": true}
          ]
        },
        "toulouse_enfants": {
          "cache_duration": 0,
          "force_async": true,
          "name": "DUI (Teamnet Axel) : Liste des enfants",
          "url": "{{passerelle_url}}toulouse-axel/{{slug}}/family_info?NameID={{user_nameid}}",
          "form": [
            {"label": "Identifiant du connecteur", "varname": "slug", "required": true}
          ]
        },
        "toulouse_foyer": {
          "cache_duration": 0,
          "force_async": true,
          "name": "DUI (Teamnet Axel) : Informations générales sur le foyer",
          "url": "{{passerelle_url}}toulouse-axel/{{slug}}/family_info?NameID={{user_nameid}}",
          "form": [
            {"label": "Identifiant du connecteur", "varname": "slug", "required": true}
          ]
        },
        "toulouse_reservations": {
          "cache_duration": 0,
          "force_async": true,
          "name": "DUI (Teamnet Axel) : Réservations sur les 4 prochaines semaines",
          "url": "{{passerelle_url}}toulouse-axel/{{slug}}/clae_booking_activities_info?NameID={{ user_nameid }}&idpersonne={{ idpersonne }}&start_date={% now \"Y-m-d\" as today %}{{ today|date:\"Y-m-d\" }}&end_date={{ today|add_days:28|date:\"Y-m-d\" }}",
          "form": [
            {"label": "Identifiant du connecteur", "varname": "slug", "required": true}
          ]
        },
        "toulouse_responsables": {
          "cache_duration": 0,
          "force_async": true,
          "name": "DUI (Teamnet Axel) : Liste des responsables du foyer",
          "url": "{{passerelle_url}}toulouse-axel/{{slug}}/family_info?NameID={{user_nameid}}",
          "form": [
            {"label": "Identifiant du connecteur", "varname": "slug", "required": true}
          ]
        },
        "toulouse_revenus": {
          "cache_duration": 0,
          "force_async": true,
          "name": "DUI (Teamnet Axel) : Revenus mensuel pris en compte",
          "url": "{{passerelle_url}}toulouse-axel/{{slug}}/family_info?NameID={{user_nameid}}",
          "form": [
            {"label": "Identifiant du connecteur", "varname": "slug", "required": true}
          ]
        },
        "phone-calls": {
          "url": "{% if callee %}{{passerelle_url}}phonecalls/{{system}}/calls?callee={{callee}}{% endif %}",
          "name": "Appels téléphoniques",
          "force_async": false,
          "varnames": ["callee"],
          "cache_duration": 0,
          "form": [
            {"label": "Slug du connecteur", "varname": "system", "required": true}
          ],
          "actions": {
            "refresh": {
            "url": "{{passerelle_url}}phonecalls/{{system}}/calls?callee={{ callee }}",
              "method": "GET"
            }
          }
        },
        "dpark": {
          "name": "Information abonnement stationnement",
          "url": "{% if user_nameid %}{{ passerelle_url }}dpark/{{ dpark_instance }}/infos/{{ user_nameid }}/{% endif %}",
          "varnames": [],
          "form": [
            {"label": "Slug du connecteur Dpark", "varname": "dpark_instance"},
            {"label": "Url du formulaire d'appairage", "varname": "pairing_form_url"}
          ],
          "log_errors": true,
          "cache_duration": 30,
          "force_async": true
        },
        "toulouse-maelis-enfant-agenda": {
          "cache_duration": 0,
          "force_async": true,
          "name": "Toulouse - Maelis: Agenda",
          "url": "{{ passerelle_url }}toulouse-maelis/{{ slug }}/read-person-agenda?{% if is_portal_agent %}family_id={{ foyer_id }}{% else %}NameID={{ user_nameid }}{% endif %}&person_id={{ person_id }}{% now 'Y' as current_year %}{% now 'n' as current_month %}&start_date={% if current_month in '87654321' %}{{ current_year|add:'-1' }}{% else %}{{ current_year }}{% endif %}-09-01&end_date={% if current_month in '87654321' %}{{ current_year }}{% else %}{{ current_year|add:'1' }}{% endif %}-08-31",
          "form": [
            {"label": "Identifiant du connecteur", "varname": "slug", "required": true},
            {"label": "Libellé du bouton vers la démarche de réservation", "varname": "edit_btn_label", "required": false},
            {"label": "URL de la démarche de réservation", "varname": "form_url", "required": true}
          ]
        },
        "toulouse-maelis-enfant-agenda-next-year": {
          "template-name": "combo/json/toulouse-maelis-enfant-agenda.html",
          "cache_duration": 0,
          "force_async": true,
          "name": "Toulouse - Maelis: Agenda prochaine année scolaire",
          "url": "{{ passerelle_url }}toulouse-maelis/{{ slug }}/read-person-agenda?{% if is_portal_agent %}family_id={{ foyer_id }}{% else %}NameID={{ user_nameid }}{% endif %}&person_id={{ person_id }}{% now 'Y' as current_year %}{% now 'n' as current_month %}&start_date={% if current_month in '87654321' %}{{ current_year }}{% else %}{{ current_year|add:'1' }}{% endif %}-09-01&end_date={% if current_month in '87654321' %}{{ current_year|add:'1' }}{% else %}{{ current_year|add:'2' }}{% endif %}-08-31",
          "form": [
            {"label": "Identifiant du connecteur", "varname": "slug", "required": true},
            {"label": "Libellé du bouton vers la démarche de réservation", "varname": "edit_btn_label", "required": false},
            {"label": "URL de la démarche de réservation", "varname": "form_url", "required": true}
          ]
        },
        "toulouse-maelis-basket": {
          "cache_duration": 0,
          "force_async": true,
          "auto_refresh": 30,
          "name": "Toulouse - Maelis: Panier",
          "url": "{{ passerelle_url }}toulouse-maelis/{{ slug }}/get-baskets?{% if foyer_id %}family_id={{ foyer_id }}{% else %}NameID={{ user_nameid }}{% endif %}",
          "form": [
            {"label": "Slug du connecteur", "varname": "slug", "required": true}
          ],
          "actions": {
            "delete-line": {
             "url": "{{passerelle_url}}toulouse-maelis/{{ slug }}/delete-basket-line?{% if foyer_id %}family_id={{ foyer_id }}{% else %}NameID={{ user_nameid }}{% endif %}"
            },
            "delete": {
              "url": "{{passerelle_url}}toulouse-maelis/{{ slug }}/delete-basket?{% if foyer_id %}family_id={{ foyer_id }}{% else %}NameID={{ user_nameid }}{% endif %}"
            },
            "validate": {
              "url": "{{passerelle_url}}toulouse-maelis/{{ slug }}/validate-basket?{% if foyer_id %}family_id={{ foyer_id }}{% else %}NameID={{ user_nameid }}{% endif %}"
            }
          }
        },
        "toulouse-maelis-catalogue": {
          "name": "Parsifal : catalogue des activités",
          "loading-message": "Chargement du catalogue des activités…",
          "template-name": "combo/parsifal/catalogue.html",
          "url": "{{ passerelle_url }}toulouse-maelis/{{ slug }}/read-activity-list",
          "cache_duration": 60,
          "timeout": 0,
          "form": [
            {"label": "Slug du connecteur", "varname": "slug", "required": true},
            {"label": "Nombre d’activités par page", "varname": "pagination"}
          ]
        }
      }
    }
  }
}
